Default [q] need to update from 2.2 on thunderbolt

I need to update my HTC THUNDERBOLT from 2.2 to at least 2.3 or 2.4.
I want to get DSPOLIT on my phone but need 2.3 or better.

looking for help.

ralphmorris@imexworldwide.net
407 340 0082